/* custom css for printqMatrix */

/* css for matrix initial loading [[[ */	
.matrix_loading_initial,
.matrix_loading_initial:after {
  border-radius: 50%;
  width: 10em;
  height: 10em;
}

.matrix_loading_initial, .matrix_loading_initial:after {
  border-radius: 50%;
  width: 10em;
  height: 10em;
}

.matrix_loading_initial {
  font-size: 10px;
  text-indent: -9999em;
  border-top: 0.7em solid rgba(255, 255, 255, 0.2);
  border-right: 0.7em solid #2d5096;
  border-bottom: 0.7em solid #2d5096;
  border-left: 0.7em solid #2d5096;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation: matrix_loading_initial_animation 1.1s infinite linear;
  animation: matrix_loading_initial_animation 1.1s infinite linear;
  position: relative;
  z-index: 999;
  overflow: visible;
  margin: auto;
  top: 0;
  left: 0;
  /* bottom: 0; */
  right: 0;
}

@-webkit-keyframes matrix_loading_initial_animation {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes matrix_loading_initial_animation {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
/* css for matrix initial loading ]]] */


body.printq_personalization .matrix_loading.matrix_loadingPersonalize .matrix_loading_circle {
  width: 80px;
  height: 80px;
  top: 45px!important;
}

body[class*=fullpage_configuration] .matrix_loading_initial {
	margin-bottom: 100vh;
}

body:not([class*=fullpage_configuration]) .matrix_layoutMain .matrix_uploadActionsContainer .matrix_uploadButtonRearrange {
    margin-top:10px;
}
.product-main-container {
  position: relative;
  /* display: flex; */
  width: 100%;
  grid-template-columns: 38.913% 1fr;
  display: grid;
  display: grid;
  max-width: 100%;
  padding: 40px;
  gap: 48px;
}
.product-gallery-container {
  max-width: 536px;
}
.page-layout-1column .product-info-main,
.page-layout-1column .product.media
{
  width: 100%!important;
}
.catalog-product-view .product.media{
  position: sticky;
  position: -webkit-sticky;
  top: 80px;
}
.catalog-product-view .product.media, .catalog-product-view .product-info-main{
  padding-top: 0!important;
}
.catalog-product-view body, html{
  overflow: unset;
}
.catalog-product-view .custom-select:hover{
  cursor: pointer;
}

body.printq-upload_personalization_configuration.modal-open .page-header ,
body.printq_upload_configuration.modal-open .page-header
{
  z-index : 0;
}

body.printq-upload_personalization_configuration #maincontent ,
body.printq_upload_configuration #maincontent
{
  z-index : 1;
}
